> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign Info



## OpenAPI

````yaml get /campaigns/{campaign_id}/info
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /campaigns/{campaign_id}/info:
    get:
      tags:
        - Campaigns
      summary: Get Campaign Info
      operationId: get_campaign_info_campaigns__campaign_id__info_get
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            title: Campaign Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Private Key
            title: Authorization
          description: Private Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignInfo'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CampaignInfo:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        status:
          $ref: '#/components/schemas/CampaignStatus'
        created_at:
          type: integer
          title: Created At
        caller:
          anyOf:
            - type: string
            - type: 'null'
          title: Caller
        include_metadata_in_prompt:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Include Metadata In Prompt
          default: false
      type: object
      required:
        - id
        - name
        - status
        - created_at
      title: CampaignInfo
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CampaignStatus:
      type: string
      enum:
        - idle
        - started
        - paused
        - finished
        - failed
      title: CampaignStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````